package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Plan;
import lombok.Data;

import java.util.List;

// 广告计划明细
@Data
public class PlanDetailVo {
//    private String goodsName;
//    private String goodsImg;
    private String goodsLogo;
//    private String goodsIntroduce;
//    private String goodsClassify;
    private String appkey;
    private String appName;
    private String commercialId;
    private String commercialName;
    private List<PlanItemVo> planItems;

    public PlanDetailVo(){}
    public PlanDetailVo(Plan plan, List<PlanItemVo> itemVos){
//        this.goodsName = plan.getGoodsName();
//        this.goodsImg = plan.getGoodsImg();
        this.goodsLogo = plan.getGoodsLogo();
//        this.goodsIntroduce = plan.getGoodsIntroduce();
//        this.goodsClassify = plan.getGoodsClassify();
        this.appkey = plan.getAppkey();
        this.appName = plan.getAppName();
        this.commercialId = plan.getCommercialId();
        this.commercialName = plan.getCommercialName();
        this.planItems = itemVos;
    }
}
